Subject: Re: [PATCH/RFC repost 2/8] netlink: Allow suppression of warnings for duplicate attributes

From: Ben Pfaff <[email-masked]>
Date: Fri, 26 Sep 2014 16:55:42 -0700

On Thu, Sep 18, 2014 at 10:55:05AM +0900, Simon Horman wrote:
> Add a multiple field to struct nl_policy which if set suppresses
> warning of duplicate attributes in nl_parse_nested().
> 
> As is the case without this patch only the last occurrence of an
> attribute is stored in attrs by nl_parse_nested(). As such
> if the multiple field of struct nl_policy is set then it
> is up to the caller to parse the message to extract all the attributes.
> 
> This is in preparation for allowing multiple OVS_SELECT_GROUP_ATTR_BUCKET
> attributes in a nested OVS_ACTION_ATTR_SELECT_GROUP attribute.
> 
> Signed-off-by: Simon Horman <[email-masked]>

In the other case where we have duplicate attributes, it doesn't make
sense to process them with the policy functions, because we want to
see all of the instances of the duplicate attributes and policy
doesn't allow us to do that.  I'm a little surprised that the new
attributes work differently.  What's the idea?